配送ルール取得
GET
/delivery_rules/{delivery_rule_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/delivery_rules/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/delivery_rules/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'配送ルール情報を取得します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”delivery_rule_id
required
string format: uuid
配送ルールID
Responses
Section titled “Responses”取得成功
Media typeapplication/json
DeliveryRuleResponse
object
id
配送ルールID
string format: uuid
name
配送ルール名
string
Examples
Exampledefault
{ "id": "44444444-4444-4444-4444-444444444444", "name": "通常配送"}指定されたIDのリソースが見つからない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Example
{ "type": "about:blank", "title": "Not Found", "detail": "指定されたIDのリソースが見つかりません", "status": 404}